## freeorion 0.4.5~20150818~a590f7e

=== debian/changelog ===
freeorion (0.4.5~20150818~a590f7e-1) unstable; urgency=medium

  * New upstream pre-release.
  * debian/copyright: Add missing DejaVu-License.

 -- Markus Koschany <apo@gambaru.de>  Wed, 19 Aug 2015 17:11:45 +0200

freeorion (0.4.5~20150803~af01c2f-1) unstable; urgency=medium

  * New upstream pre-release. (Closes: #794802)
    - Rebuild against GCC-5. (Closes: #793238)
  * Update get-orig-source target for tarball releases.
  * d/watch: Improve uversionmangle for test releases.
  * Drop GG-verbose-makefile.patch. Fixed upstream.
  * Update README.source and explain how to retrieve the original sources.
  * Update debian/copyright for new release.
    - log4cpp is no longer included.

 -- Markus Koschany <apo@gambaru.de>  Sat, 08 Aug 2015 20:41:36 +0200

freeorion (0.4.4+git20150327-2) unstable; urgency=medium

  * Upload to unstable.
  * Set Architecture field to linux-any because FreeBSD and the Hurd are
    unsupported upstream.
  * Add sparc to WEAK_HOSTS.
  * debian/rules: Use first eight characters of Git commit as REV value.

 -- Markus Koschany <apo@gambaru.de>  Thu, 30 Apr 2015 12:38:03 +0200

freeorion (0.4.4+git20150327-1) experimental; urgency=medium

  * New upstream git snapshot.
    - OIS and Ogre are gone and were replaced by SDL2.
      Remove all references to them. OISInput.cfg is no longer required and can
      be safely removed. This should also fix keyboard issues with OIS. See
      #730405 for reference.
  * Update debian/copyright for new release. Change Source field.
    The FreeOrion project moved to GitHub.
  * debian/rules:
    - Update get-orig-source target for Github.
    - Remove --sourcedirectory option for dh sequencer. All files are present
      in the root directory now.
    - Add mips and mipsel back to WEAK_HOSTS.
  * debian/control:
    - Drop libbullet-dev, libltdl-dev, libois-dev and libogre-dev from
      Build-Depends. They are obsolete now.
    - Add libsdl2-dev and libglew-dev to Build-Depends.
    - Vcs-Browser: Switch to cgit.
    - Try architecture:any for this release again.
  * Update debian/watch for new github address.

 -- Markus Koschany <apo@gambaru.de>  Fri, 27 Mar 2015 17:51:18 +0100
